Bug 223475 - [LayoutTests] Convert http/tests/multipart convert PHP to Python
Summary: [LayoutTests] Convert http/tests/multipart convert PHP to Python
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Gambrell
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-18 13:23 PDT by Chris Gambrell
Modified: 2021-04-02 10:01 PDT (History)
7 users (show)

See Also:


Attachments
Patch (19.40 KB, patch)
2021-03-18 13:31 PDT, Chris Gambrell
no flags Details | Formatted Diff | Diff
Patch (19.29 KB, patch)
2021-03-22 13:24 PDT, Chris Gambrell
no flags Details | Formatted Diff | Diff
Patch (7.49 KB, patch)
2021-04-01 22:29 PDT, Chris Gambrell
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Gambrell 2021-03-18 13:23:20 PDT
Replacing PHP with equivalent Python CGI scripts
Comment 1 Radar WebKit Bug Importer 2021-03-18 13:23:43 PDT
<rdar://problem/75587716>
Comment 2 Chris Gambrell 2021-03-18 13:31:34 PDT
Created attachment 423643 [details]
Patch
Comment 3 Jonathan Bedard 2021-03-22 09:39:12 PDT
Comment on attachment 423643 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=423643&action=review

> LayoutTests/http/tests/multipart/multipart-html.py:13
> +    '{}\n'

You used f-strings in another patch, might be a good choice here too

> LayoutTests/http/tests/multipart/multipart-replace-non-html-content.py:13
> +    '{}\n'

Might consider f-string here as well
Comment 4 Chris Gambrell 2021-03-22 13:24:48 PDT
Created attachment 423925 [details]
Patch
Comment 5 Chris Gambrell 2021-03-22 13:26:49 PDT
(In reply to Jonathan Bedard from comment #3)
> Comment on attachment 423643 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=423643&action=review
> 
> > LayoutTests/http/tests/multipart/multipart-html.py:13
> > +    '{}\n'
> 
> You used f-strings in another patch, might be a good choice here too
> 
> > LayoutTests/http/tests/multipart/multipart-replace-non-html-content.py:13
> > +    '{}\n'
> 
> Might consider f-string here as well

Fixed in comment 4
Comment 6 EWS 2021-03-22 14:54:34 PDT
Committed r274803: <https://commits.webkit.org/r274803>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 423925 [details].
Comment 7 Chris Gambrell 2021-04-01 22:27:35 PDT
Reopening for second pass
Comment 8 Chris Gambrell 2021-04-01 22:29:58 PDT
Created attachment 424989 [details]
Patch
Comment 9 Alex Christensen 2021-04-02 09:24:10 PDT
Comment on attachment 424989 [details]
Patch

r=me, assuming python works in seconds and php works in microseconds so * 1000000 is no longer needed.
Comment 10 EWS 2021-04-02 10:01:10 PDT
Committed r275424: <https://commits.webkit.org/r275424>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424989 [details].